# cursor.h File Reference

`#include "pqxx/compiler-public.hxx"`
`#include "pqxx/compiler-internal-pre.hxx"`
`#include "pqxx/result"`
`#include "pqxx/transaction_base"`
`#include "pqxx/util"`
`#include "pqxx/compiler-internal-post.hxx"`

Include dependency graph for cursor.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | pqxx

## Classes

class | pqxx::Cursor
| SQL cursor class. More...
struct | pqxx::Cursor::unknown_position
| Exception thrown when cursor position is requested, but is unknown. More...